/*-----------------------------------------------------------------------------
    Name: flow
    Generated By: netstorm
    Date of generation: 09/10/2016 06:10:42
    Flow details:
    Build details: 4.1.6 (build# 12)
    Modification History:
-----------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ns_string.h"


void flow()
{
	ns_advance_param("Dynamic_LowTX");
    //ns_advance_param("Dynamic_MedTX");
    //ns_advance_param("Dynamic_HighTX");
   // ns_start_transaction("LowRespTx");    
    ns_start_transaction("{Dynamic_LowTX}");    
    ns_web_url("LowResp",
        "URL=http://10.10.30.7:81/url_service/url_test.xml?SvcTime={LowRespTime}&Status={LowStatusCode}&RespSize=4096"
    );
    ns_end_transaction("{Dynamic_LowTX}", NS_AUTO_STATUS);    
    //ns_end_transaction("LowRespTx", NS_AUTO_STATUS);	
    ns_page_think_time(0);

    //ns_start_transaction("MedRespTx");   
    ns_start_transaction("Dynamic_MedTX");     
    ns_web_url("MedResp",
        "URL=http://10.10.30.7:81/url_service/url_test.xml?SvcTime={MedRespTime}&Status={MedStatusCode}&RespSize=8192"
    );
    ns_end_transaction("Dynamic_MedTX", NS_AUTO_STATUS);    
	//ns_end_transaction("MedRespTx", NS_AUTO_STATUS);	
    ns_page_think_time(0);

   // ns_start_transaction("HighRespTx");    
    ns_start_transaction("Dynamic_HighTX");   
    ns_web_url("HighResp",
        "URL=http://10.10.30.7:81/url_service/url_test.xml?SvcTime={HighRespTime}&Status={HighStatusCode}&RespSize=16384"
    );
    ns_end_transaction("Dynamic_HighTX", NS_AUTO_STATUS);    
	//ns_end_transaction("HighRespTx", NS_AUTO_STATUS);
    ns_page_think_time(0);


}
